﻿using System;
using System.Collections.Generic;
using System.Text;
using Sys = Cosmos.System;
using System;
using System.Collections.Generic;
using System.Text;
using Cosmos.HAL.Drivers.PCI.Video;
using Cosmos.System.Graphics;
using System.Runtime.InteropServices;
using System.Diagnostics;
using Cosmos.System;
using System.Drawing;
using Cosmos.Core.IOGroup;
using Console = System.Console;
using DremDOS.Core.Terminal;
using DremDOS.Core.Graphics;
using DremDOS.Core.Drivers;
using DremDOS.Core.Sound;

namespace DremDOS.Core.Graphics
{
    class BUI
{
        private static readonly Color[][] ArrowRight = new Color[14][]
        {
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Magenta, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Magenta, Color.Magenta, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Red },
            new Color[14] { Color.Red, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Red },
            new Color[14] { Color.Red, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Magenta, Color.Magenta, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Magenta, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red }
        };
        private static readonly Color[][] ArrowLeft = new Color[14][]
        {
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Magenta, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Magenta, Color.Magenta, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Red },
            new Color[14] { Color.Red, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Red },
            new Color[14] { Color.Red, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Magenta, Color.Magenta, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Magenta, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red },
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red},
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red},
            new Color[14] { Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red, Color.Red }
        };
        private static readonly Color[][] CloseButton = new Color[14][]
        {
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue }
        };
        private static readonly Color[][] NewButton = new Color[14][]
        {
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Magenta, Color.Magenta, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
            new Color [43] { Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue, Color.Blue },
        };


        private static int New_RightOffset = 268;
        private static int Close_RightOffset = 205;
        private static int Left_RightOffset = 142;
        private static int Right_RightOffset = 102;
        private static int FontWidth = 6;
        public static void DrawBUI(Canvas canvas, Kernel kernel)
        {
            for (ushort x = 0; x < 43; x++) for (ushort y = 0; y < 14; y++) canvas.DrawPoint(new Pen(NewButton[y][x]), new Sys.Graphics.Point((ushort)((kernel._SCREEN_WIDTH - New_RightOffset) + x), (ushort)(20 + y)));
            for (ushort x = 0; x < 43; x++) for (ushort y = 0; y < 14; y++) canvas.DrawPoint(new Pen(CloseButton[y][x]), new Sys.Graphics.Point((ushort)((kernel._SCREEN_WIDTH - Close_RightOffset) + x), (ushort)(20 + y)));
            for (ushort x = 0; x < 14; x++) for (ushort y = 0; y < 14; y++) canvas.DrawPoint(new Pen(ArrowLeft[y][x]), new Sys.Graphics.Point((ushort)((kernel._SCREEN_WIDTH - Left_RightOffset) + x), (ushort)(20 + y)));
            //canvas.DrawACSIIString(new Pen(Color.Red), Kernel.CurrentConsole + " of " + Kernel.TotalConsoles, Kernel._SCREEN_WIDTH - 122, 20);
            string consoleCountString = kernel.CurrentConsole + " of " + kernel.TotalConsoles;
            canvas.DrawString(consoleCountString, kernel.Font, new Pen(Color.Red), kernel._SCREEN_WIDTH - 122, 20);

            Right_RightOffset = 102-( FontWidth * consoleCountString.Length);
            for (ushort x = 0; x < 14; x++) for (ushort y = 0; y < 14; y++) canvas.DrawPoint(new Pen(ArrowRight[y][x]), new Sys.Graphics.Point((ushort)((kernel._SCREEN_WIDTH - Right_RightOffset) + x), (ushort)(20 + y)));
        }
    }
}
